## ntp 4.2.4p8+dfsg

=== debian/changelog ===
ntp (1:4.2.4p8+dfsg-1ubuntu6) maverick; urgency=low

  * debian/rules: move dh_apparmor before dh_installinit

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 Aug 2010 17:40:04 -0500

ntp (1:4.2.4p8+dfsg-1ubuntu5) maverick; urgency=low

  * convert to dh_apparmor:
    - debian/rules, debian/ntp.postrm, debian/ntp.postinst: use dh_apparmor
    - control: Build-Depends on debhelper >= 7.4.20ubuntu5
  * debian/apparmor-profile: include local override
  * remove now unneeded debian/ntp.preinst

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 Aug 2010 13:55:12 -0500

ntp (1:4.2.4p8+dfsg-1ubuntu4) maverick; urgency=low

  * debian/dhcp.ntp: Dont remove *all* ntp server from ntp.conf.
    (LP: #575458) 
  * debian/apparmor-profile: Allow access to /dev/ttyS* 
    (LP: #596859)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Jun 2010 09:24:02 -0400

ntp (1:4.2.4p8+dfsg-1ubuntu3) maverick; urgency=low

  * debian/apparmor-profile: allow access to /var/log/ntpstats/sysstats*
    (LP: #574343)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 18 Jun 2010 07:54:24 -0500

ntp (1:4.2.4p8+dfsg-1ubuntu2) lucid; urgency=low

  * debian/apparmor-profile: allow reading of /var/lib/ntp/ntp.conf.dhcp
    (LP: #517701)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 08 Apr 2010 16:24:42 -0500

ntp (1:4.2.4p8+dfsg-1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    + debian/ntp.conf, debian/ntpdate.default: Change default server to
      ntp.ubuntu.com.
    + debian/ntpdate.ifup: Stop ntp before running ntpdate when an interface
      comes up, then start again afterwards.
    + debian/ntp.init, debian/rules: Only stop when entering single user mode.
    + Add enforcing AppArmor profile (LP: #382905):
      - debian/control: add Conflicts/Replaces on apparmor-profiles <
        2.3.1+1403-0ubuntu10 (since we are now shipping usr.sbin.ntpd) and
        apparmor < 2.3.1+1403-0ubuntu10 (since we are now shipping tunables/ntpd)
      - debian/control: add Suggests on apparmor
      - debian/ntp.dirs: add apparmor directories
      - debian/ntp.preinst: force complain on certain upgrades
      - debian/ntp.postinst: reload apparmor profile
      - debian/ntp.postrm: remove the force-complain file
      - add debian/apparmor-profile*
      - debian/rules: install apparmor-profile and apparmor-profile.tunable
      - debian/README.Debian: add note on AppArmor
    + debian/{control,rules}: add and enable hardened build for PIE
      (Debian bug 542721).
    + debian/apparmor-profile: adjust location of drift files (LP: #456308)
    + Dropped changes, merged in debian:
      - fix-nano.patch: Use mod_nano.patch from debian.
    + Dropped changes, superseded upstream/in Debian:
      - debian/patches/CVE-2009-1252.patch: No longer needed.
      - debian/patches/debian/patches/CVE-2009-0159.patch: No longer needed.

   [Chuck Short]
   + debian/rules, debian/ntp.dirs, debian/source_ntp.py: Add apport
     hook, apart of the server-lucid-apport-hooks specification.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 02 Feb 2010 18:36:29 -0500

ntp (1:4.2.4p8+dfsg-1) unstable; urgency=high

  * New upstream release.
    - Fixes DoS with mode 7 packets (CVE-2009-3563) (Closes: #560074)

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 08 Dec 2009 21:41:51 +0100

ntp (1:4.2.4p7+dfsg-4) unstable; urgency=low

  * Use uname -s instead of dpkg-architecture to found the kernel we're
    running on.  dpkg-architecture is part of dpkg-dev. (Closes: #558145)
  * Make the package fail to build on hurd since it does not provided
    the needed system calls for ntpd to work.

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 26 Nov 2009 22:16:37 +0100

ntp (1:4.2.4p7+dfsg-3) unstable; urgency=low

  * Don't pass --enable-linuxcaps to configure anymore.  It now detects it
    itself when it's available, and it breaks on non-Linux systems.
  * Configure didn't know what to set certain options to on kfreebsd.
    Patch by Aurelien Jarno.  (Closes: #522696)
  * Running as user ntp does not work on kfreebsd because it doesn't support
    capabilities.  Adjust the init script to start as root.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 25 Nov 2009 20:03:58 +0100

ntp (1:4.2.4p7+dfsg-2) unstable; urgency=low

  * Refresh libedit patch because it's fuzzy and fails to apply on
    the buildds.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 21 Nov 2009 18:01:36 +0000

ntp (1:4.2.4p7+dfsg-1) unstable; urgency=low

  [ Peter Eisentraut ]
  * Fixed FTBFS because of missing MOD_NANO definition (closes: #552882)
  * Changed source format to 3.0 (quilt)

  [ Kurt Roeckx ]
  * New upstream version.
    - Remove patches for CVE-2009-1252.patch and CVE-2009-0159.patch,
      applied upstream
    - Regenerate patches to apply to the current version.
  * Detect that we run a kernel with nano support or not.  Otherwise
    it breaks when running on kernels older than 2.6.26.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 21 Nov 2009 17:27:11 +0100

ntp (1:4.2.4p6+dfsg-2) unstable; urgency=medium

  * Fixed typo in ntpdate man page (closes: #526086)
  * Updated standards version
  * Moved .dhcp version of configuration files to /var/lib/ntp and 
    /var/lib/ntpdate (closes: #524035)
  * Cleaned up man pages to satisfy lintian's hyphen-used-as-minus-sign
    complaint
  * Fixed limited buffer overflow in ntpq (CVE-2009-0159) (closes: #525373)
  * Fixed stack buffer overflow in ntpd (CVE-2009-1252) (closes: #525373)
  * Use new status_of_proc function to report status in ntp init script
  * Updated the config.guess/sub handling as recommended by autotools-dev to
    not clutter the diff, added autotools-dev to build dependencies

 -- Peter Eisentraut <petere@debian.org>  Fri, 12 Jun 2009 17:24:22 +0300

ntp (1:4.2.4p6+dfsg-2ubuntu4) lucid; urgency=low

  * debian/rules: install symlink for early loading of per-interface
    triggered ntp AppArmor profile.

 -- Kees Cook <kees@ubuntu.com>  Tue, 15 Dec 2009 11:35:33 -0800

ntp (1:4.2.4p6+dfsg-2ubuntu3) lucid; urgency=low


