## ntp 4.2.6.p2+dfsg

=== debian/changelog ===
ntp (1:4.2.6.p2+dfsg-1+b1jasp1) unstable; urgency=low

  * Maintenance.

 -- Javier Serrano Polo <javier@jasp.net>  Sun, 26 Jan 2014 11:48:25 +0100

ntp (1:4.2.6.p2+dfsg-1) unstable; urgency=low

  [ Peter Eisentraut ]
  * Update command options section in ntp.conf(5) man page, drop "dynamic"
    option (closes: #553976, #439734)
  * Document ntpd -I option and ntp.conf interface command (closes: #506389)
  * Fix type in ntpdate man page (closes: #566621)
  * Added explanation of options to ntptrace man page (closes: #558289)
  * Removed no longer needed build conflict against libreadline-dev

  [ Kurt Roeckx ]
  * New upstream version.
    - Fixes problem with ipv6 multicast (Closes: #584927)
  * Move dhcp exit hooks from /etc/dhcp3/dhclient-enter-hooks.d to
    /etc/dhcp/dhclient-enter-hooks.d.  Add dpkg-maintscript-helper
    to maintainer scripts to move them, and add a Breaks on
    dhcp3-client (<< 4.1.0-1) (Closes: #585054, #585055)
  * Remove ntp's Replaces on logcheck-database, we don't ship log
    logcheck entries anymore for ntp.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 13 Jul 2010 20:33:47 +0200

ntp (1:4.2.6.p1+dfsg-1) unstable; urgency=low

  * New upstream version
    - They no longer ship arlib, adjust dfsg.patch.
    - Drop kfreebsd.patch, applied upstream
    - Update patches for upstream changes.
  * Remove the obsolete config files:

    for ntp:
    - /etc/logcheck/ignore.d.server/ntp, removed in 1:4.2.6+dfsg-1
    - /etc/dhcp3/dhclient-enter-hooks.d/ntp, replaced by exit hooks in
      1:4.2.4p4+dfsg-3
    - /etc/network/if-up.d/ntp, removed in 1:4.2.4p0+dfsg-1

    for ntpdate:
    - /etc/dhcp3/dhclient-enter-hooks.d/ntpdate, replaced by exit hooks in
      1:4.2.4p4+dfsg-3

    Use dpkg 1.15.7.2's dpkg-maintscript-helper.  This needs
    a Pre-Depends to work, else it's never going to be removed.
    (Closes: #569530)
  * Add "Depends: ${misc:Depends}" to ntp-doc.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 24 May 2010 11:09:51 +0200

ntp (1:4.2.6+dfsg-1) unstable; urgency=low

  * New upstream version
    - They no longer use the built in md5 with unclear license: adjust
      dfsg.sh and dfsg.patch.
    - Location of the html pages has changed location: adjust dfsg.sh
    - Remove ntptimeval.patch and ntptrace-getopt.patch, applied upstream.
    - Change libedit.patch and call configure with
      --with-lineeditlibs=edit instead.
    - Update nanokernel-status.patch to also do it for the new
      direct_freq() function.
    - includes.diff: Stop including ntp_refclock.h, since it breaks things.
    - Upstream no longer provides an ntpdsim.1 manpage, so don't try to
      to remove it.
  * Use the system libopts instead of the internal copy: add build-dependency
    on autogen, call configure with --disable-local-libopts.  There is also
    no need anymore to remove the usr/lib dir.
  * Remove ntp_gettime.patch, it wasn't used, and we have libc calls that
    wrap adjtimex now anyway.
  * Remove the doc.patch, it's either just wrong or more confusing than the
    original text.
  * Merge the ntpd-char-fix.patch into ntpd-ni-maxhost.patch
  * Fix kfreebsd.patch's comment to be about the right patch.
  * Add comment to dfsg.patch
  * Update autotools.patch's comment on how to recreate it.
  * Split ntpd-linux-caps.patch in ntpd-linux-caps-runtime.patch and
    ntpd-linux-caps-inheritable.patch and add comments
  * Don't run init script to stop ntpd, just let sendsigs/killprocs deal
    with it.  (Closes: #540694)
  * Compile with --enable-ntp-signd to enable mssntp for use with samba
    (Closes: #562065)
  * Remove ntp.logcheck.ignore.server, none of those messages are
    send to syslog now.  (Closes: #498992)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 26 Dec 2009 14:12:22 +0100
