=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ntp
 Section: net
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
-Uploaders: Bdale Garbee <bdale@gag.com>, Peter Eisentraut <petere@debian.org>, Kurt Roeckx <kurt@roeckx.be>
-Build-Depends: autotools-dev, debhelper (>= 7.4.20ubuntu5), libedit-dev, libcap2-dev | not+linux-gnu, libssl-dev (>= 0.9), hardening-wrapper
-Build-Conflicts: libavahi-compat-libdnssd-dev, libreadline-dev, libwww-dev, libwww-ssl-dev
-Standards-Version: 3.8.1
+Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
+Uploaders: Bdale Garbee <bdale@gag.com>, Peter Eisentraut <petere@debian.org>, Kurt Roeckx <kurt@roeckx.be>,
+ Javier Serrano Polo <javier@jasp.net>
+Build-Depends: autotools-dev, debhelper (>= 6), libedit-dev, libcap2-dev | not+linux-gnu, libssl-dev (>= 0.9), autogen
+Build-Conflicts: libavahi-compat-libdnssd-dev, libwww-dev, libwww-ssl-dev
+Standards-Version: 3.9.1
 Homepage: http://support.ntp.org/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-ntp/ntp/trunk/
 Vcs-Svn: svn://svn.debian.org/pkg-ntp/ntp/trunk/
@@ -14,10 +14,10 @@
 Package: ntp
 Architecture: any
 Depends: adduser, lsb-base (>= 3.2-13), netbase, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: ${perl:Depends}
-Suggests: ntp-doc, apparmor (>= 2.1+1075-0ubuntu6)
-Conflicts: apparmor-profiles (<< 2.3.1+1403-0ubuntu10), apparmor (<< 2.3.1+1403-0ubuntu10)
-Replaces: logcheck-database, apparmor-profiles (<< 2.3.1+1403-0ubuntu10), apparmor (<< 2.3.1+1403-0ubuntu10)
+Suggests: ntp-doc
+Breaks: dhcp3-client (<< 4.1.0-1)
 Description: Network Time Protocol daemon and utility programs
  NTP, the Network Time Protocol, is used to keep computer clocks
  accurate by synchronizing them over the Internet or a local network,
@@ -35,7 +35,9 @@
 Package: ntpdate
 Architecture: any
 Depends: netbase, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: lockfile-progs
+Breaks: dhcp3-client (<< 4.1.0-1)
 Description: client for setting system time from NTP servers
  NTP, the Network Time Protocol, is used to keep computer clocks
  accurate by synchronizing them over the Internet or a local network,
@@ -54,6 +56,7 @@
 
 Package: ntp-doc
 Architecture: all
+Depends: ${misc:Depends}
 Section: doc
 Description: Network Time Protocol documentation
  NTP, the Network Time Protocol, is used to keep computer clocks
