=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_BUILD_HARDENING=1
 
 # hacks to avoid running these things during the build
 export ACLOCAL    = : aclocal
@@ -24,13 +22,15 @@
 	exit 1
 endif
 	cp /usr/share/misc/config.guess /usr/share/misc/config.sub .
-
 	./configure CFLAGS='$(CFLAGS)' CPPFLAGS='-D_GNU_SOURCE' \
 		ac_cv_var_tick=no ac_cv_var_tickadj=no \
 		--prefix=/usr \
 		--enable-all-clocks --enable-parse-clocks --enable-SHM \
-		--enable-debugging --sysconfdir=/var/lib/ntp \
+		--disable-debugging --sysconfdir=/var/lib/ntp \
 		--with-sntp=no \
+		--with-lineeditlibs=edit \
+		--disable-local-libopts \
+		--enable-ntp-signd \
 		--disable-dependency-tracking
 
 build: build-stamp
@@ -61,24 +61,14 @@
 	done
 
 	install -D -m 0755 scripts/ntpsweep debian/ntp/usr/bin/ntpsweep
-	install -D -m 0644 debian/ntp.dhcp debian/ntp/etc/dhcp3/dhclient-exit-hooks.d/ntp
-	install -D -m 0644 debian/ntpdate.dhcp debian/ntpdate/etc/dhcp3/dhclient-exit-hooks.d/ntpdate
+	install -D -m 0644 debian/ntp.dhcp debian/ntp/etc/dhcp/dhclient-exit-hooks.d/ntp
+	install -D -m 0644 debian/ntpdate.dhcp debian/ntpdate/etc/dhcp/dhclient-exit-hooks.d/ntpdate
 	install -D -m 0755 debian/ntpdate-debian debian/ntpdate/usr/sbin/ntpdate-debian
 
 	install -D -m 0644 debian/ntp.conf debian/ntp/etc/ntp.conf
 
 	# remove upstream man pages, which are currently not as nice as ours
-	rm $(addprefix debian/ntp/usr/share/man/man1/,ntpd.1 ntpdc.1 ntpdsim.1 ntp-keygen.1 ntpq.1)
-
-	rmdir debian/ntp/usr/lib/
-
-	# install apparmor profile
-	install -D -m 0644 debian/apparmor-profile debian/ntp/etc/apparmor.d/usr.sbin.ntpd
-	install -D -m 0644 debian/apparmor-profile.tunable debian/ntp/etc/apparmor.d/tunables/ntpd
-	dh_link -pntp etc/apparmor.d/usr.sbin.ntpd etc/apparmor/init/network-interface-security/usr.sbin.ntpd
-
-	# install apport hook
-	install -D -m 644 debian/source_ntp.py debian/ntp/usr/share/apport/package-hooks/source_ntp.py
+	rm $(addprefix debian/ntp/usr/share/man/man1/,ntpd.1 ntpdc.1 ntp-keygen.1 ntpq.1)
 
 	dh_movefiles --sourcedir=debian/ntp
 
@@ -107,8 +97,7 @@
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_installman -a
-	dh_apparmor -pntp --profile-name=usr.sbin.ntpd
-	dh_installinit -pntp --update-rcd-params="start 23 2 3 4 5 . stop 77 1 ." --error-handler=installinit_error
+	dh_installinit -pntp --update-rcd-params="start 23 2 3 4 5 ." --error-handler=installinit_error
 	dh_installinit -pntpdate
 	dh_installcron -a
 	dh_installlogcheck -a
