=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,14 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_HARDENING=1
 
 # hacks to avoid running these things during the build
 export ACLOCAL    = : aclocal
 export AUTOCONF   = : autoconf
 export AUTOMAKE   = : automake
 export AUTOHEADER = : autoheader
+
+genfiles:=ntpd/ntp_parser.c ntpd/ntp_parser.h
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
@@ -22,16 +26,20 @@
 	exit 1
 endif
 	cp /usr/share/misc/config.guess /usr/share/misc/config.sub .
+	# backup autogenerated files
+	for f in $(genfiles); do mv -f $$f $$f.backup; done
+
 	./configure CFLAGS='$(CFLAGS)' CPPFLAGS='-D_GNU_SOURCE' \
 		ac_cv_var_tick=no ac_cv_var_tickadj=no \
 		--prefix=/usr \
 		--enable-all-clocks --enable-parse-clocks --enable-SHM \
-		--disable-debugging --sysconfdir=/var/lib/ntp \
+		--enable-debugging --sysconfdir=/var/lib/ntp \
 		--with-sntp=no \
 		--with-lineeditlibs=edit \
 		--disable-local-libopts \
 		--enable-ntp-signd \
-		--disable-dependency-tracking
+		--disable-dependency-tracking \
+		--with-openssl-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 build: build-stamp
 build-stamp: config.status
@@ -45,6 +53,10 @@
 	rm -f build-stamp 
 	[ ! -f Makefile ] || $(MAKE) -k distclean
 	rm -f config.guess config.sub
+	# restore autogenerated files
+	for f in $(genfiles); do \
+		[ ! -e $$f.backup ] || ( rm -rf $$f; mv $$f.backup $$f ) ; \
+	done
 	dh_clean
 
 install: build-stamp
@@ -69,6 +81,14 @@
 
 	# remove upstream man pages, which are currently not as nice as ours
 	rm $(addprefix debian/ntp/usr/share/man/man1/,ntpd.1 ntpdc.1 ntp-keygen.1 ntpq.1)
+
+	# install apparmor profile
+	install -D -m 0644 debian/apparmor-profile debian/ntp/etc/apparmor.d/usr.sbin.ntpd
+	install -D -m 0644 debian/apparmor-profile.tunable debian/ntp/etc/apparmor.d/tunables/ntpd
+	dh_link -pntp etc/apparmor.d/usr.sbin.ntpd etc/apparmor/init/network-interface-security/usr.sbin.ntpd
+
+	# install apport hook
+	install -D -m 644 debian/source_ntp.py debian/ntp/usr/share/apport/package-hooks/source_ntp.py
 
 	dh_movefiles --sourcedir=debian/ntp
 
@@ -97,7 +117,8 @@
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_installman -a
-	dh_installinit -pntp --update-rcd-params="start 23 2 3 4 5 ." --error-handler=installinit_error
+	dh_apparmor -pntp --profile-name=usr.sbin.ntpd
+	dh_installinit -pntp --update-rcd-params="start 23 2 3 4 5 . stop 77 1 ." --error-handler=installinit_error
 	dh_installinit -pntpdate
 	dh_installcron -a
 	dh_installlogcheck -a
