## ntp 4.2.6.p5+dfsg

=== debian/changelog ===
ntp (1:4.2.6.p5+dfsg-7) unstable; urgency=medium

  * Fix endless loop and non-random key generation using
    ntp-keygen on big endian machines.

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 10 Apr 2015 21:01:32 +0200

ntp (1:4.2.6.p5+dfsg-6) unstable; urgency=high

  * Fix CVE-2015-1798 and CVE-2015-1799 (Closes: #782095)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 10 Apr 2015 20:08:24 +0200

ntp (1:4.2.6.p5+dfsg-5) unstable; urgency=high

  * Add missing fix for CVE-2014-9297

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 07 Feb 2015 12:20:44 +0100

ntp (1:4.2.6.p5+dfsg-4) unstable; urgency=medium

  * Fix CVE-2014-9297
  * Fix CVE-2014-9298

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 05 Feb 2015 00:27:36 +0100

ntp (1:4.2.6.p5+dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply fixes for security updates (Closes: 773576)
    - cve-2014-9293
    - cve-2014-9294
    - cve-2014-9295
    - cve-2014-9296

 -- Noah Meyerhans <noahm@debian.org>  Sun, 21 Dec 2014 12:01:50 -0800

ntp (1:4.2.6.p5+dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf to ensure configurey is updated for new architectures

 -- Wookey <wookey@debian.org>  Tue, 15 Jul 2014 11:54:21 +0800
